> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paxos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a claim schedule

> Creates a new claim schedule for automatic reward claims

```bash OAuth Scope theme={null}
rewards:write_claims_schedule
```


## OpenAPI

````yaml post /rewards/claim-schedules
openapi: 3.0.0
info:
  title: Paxos Rewards API
  version: v2-preview
servers: []
security: []
paths:
  /rewards/claim-schedules:
    post:
      tags:
        - Claims
      summary: Create a claim schedule
      description: Creates a new claim schedule for automatic reward claims.
      operationId: CreateClaimSchedule
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateClaimScheduleRequest'
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateClaimScheduleResponse'
      security:
        - OAuth2:
            - rewards:write_claims_schedule
components:
  schemas:
    CreateClaimScheduleRequest:
      type: object
      required:
        - payout_group_id
        - schedule_type
      properties:
        payout_group_id:
          type: string
        schedule_type:
          $ref: '#/components/schemas/ScheduleType'
    CreateClaimScheduleResponse:
      type: object
      properties:
        claim_schedule:
          $ref: '#/components/schemas/ClaimSchedule'
    ScheduleType:
      type: string
      enum:
        - DAILY
    ClaimSchedule:
      type: object
      properties:
        id:
          type: string
        payout_group_id:
          type: string
        schedule_type:
          $ref: '#/components/schemas/ScheduleType'
        next_run_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://oauth.paxos.com/oauth2/token
          scopes:
            rewards:read_monitoring_address: Read reward addresses
            rewards:write_monitoring_address: Create and manage reward addresses
            rewards:read_claims_schedule: Read claim schedules
            rewards:write_claims_schedule: Create and manage claim schedules
            rewards:read_claims: Read claims
            rewards:read_payout_groups: Read payout groups
            rewards:write_payout_groups: Create and manage payout groups
            rewards:read_rewards_details: Read reward details

````